SystemIdentifier can change between reboots

Bug #1339916 reported by Brian Murray on 2014-07-09
24
This bug affects 3 people
Affects Status Importance Assigned to Milestone
whoopsie (Ubuntu)
High
Unassigned
whoopsie (Ubuntu RTM)
High
Unassigned

Bug Description

Here is the output of
'gdbus call -y -d com.ubuntu.WhoopsiePreferences -o /com/ubuntu/WhoopsiePreferences -m com.ubuntu.WhoopsiePreferences.GetIdentifier'

between two different boots of a Nexus 4.

('2f46f0e12ac414279731800384d584fac05b4af7ffe6d4d61db115ae19c39ba2855dc36388e78349b17f49e68becdb5f2b32faff0fefaa65d519b55d98b7da0d',)

('5f85abf86cc6593c762adbda6ebb614f9311ef58de14fdec0e3f33a2787213c321ca05f16ebcb748535cb736945fa66468f53020d091d7ff086849d23c0c8f58',)

This is likely related to the last upload of whoopsie.

whoopsie (0.2.34) utopic; urgency=medium

  [ John Lenton ]
  * Obtain a MAC address for system identifier generation even if the network
    is not up. (LP: #1328285)
 -- Brian Murray <email address hidden> Mon, 07 Jul 2014 11:44:26 -0700

Related branches

Changed in whoopsie (Ubuntu):
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in whoopsie (Ubuntu):
status: New → Confirmed
Loïc Minier (lool) wrote :

Possibly fixed by whoopsie 0.2.37:

whoopsie (0.2.37) utopic; urgency=medium

  [ Evan Dandrea ]
  * Attempt to use the android serial number before falling back to the
    system UUID. Thanks Dimitri.
  * Log in more parts of the connectivity check.
  * Provide timestamps when logging to the foreground.

  [ Brian Murray ]
  * Merge Ted's branch that allows uploading of any field with data less than
    1KB, creating a whitelist of fields with large data, and a blacklist of
    fields we don't want in the error tracker.
  * Fix bug in how timestamps are provided.

 -- Brian Murray <email address hidden> Thu, 28 Aug 2014 15:25:15 -0700

tags: added: rtm-14
Brian Murray (brian-murray) wrote :

I believe this requires some additional work done by Dimitri which can be found in this branch:

https://code.launchpad.net/~xnox/whoopsie/stable-id-through-boot/+merge/229593

Brian Murray (brian-murray) wrote :

The system identifier is now also stored in /var/lib/whoopsie/whoopsie-id.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package whoopsie - 0.2.39

---------------
whoopsie (0.2.39) utopic; urgency=medium

  * Use G_SOURCE_CONTINUE and G_SOURCE_REMOVE for GSourceFunc return values,
    for clarity
  * tests/monitor: Call g_main_loop_quit from a callback function which
    removes the source instead of directly. GSourceFuncs need to return a
    boolean to say if they should be executed again or not. (LP: #1381804)
 -- Iain Lane <email address hidden> Thu, 16 Oct 2014 10:32:22 +0100

Changed in whoopsie (Ubuntu):
status: Confirmed → Fix Released
Brian Murray (brian-murray) wrote :

When fixing this in ubuntu-rtm the following lxc-android-config change should also be included as it makes the directory /var/lib/whoopsie writable.

lxc-android-config (0.210) utopic; urgency=medium

  * Adding /var/lib/whoopsie to writable persistent paths so that
    whoopsie-identifier can be cached on the file system.
 -- Brian Murray

tags: added: rtm14
Changed in whoopsie (Ubuntu RTM):
status: New → Triaged
importance: Undecided → Critical
Changed in whoopsie (Ubuntu RTM):
importance: Critical → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package whoopsie - 0.2.39

---------------
whoopsie (0.2.39) utopic; urgency=medium

  * Use G_SOURCE_CONTINUE and G_SOURCE_REMOVE for GSourceFunc return values,
    for clarity
  * tests/monitor: Call g_main_loop_quit from a callback function which
    removes the source instead of directly. GSourceFuncs need to return a
    boolean to say if they should be executed again or not. (LP: #1381804)
 -- Iain Lane <email address hidden> Thu, 16 Oct 2014 10:32:22 +0100

Changed in whoopsie (Ubuntu RTM):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers